createNewCustomer
curl --request POST \
--url https://api.artemis.cynopsis.co/api/customer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Domain-ID: <x-domain-id>' \
--data '
{
"profileReferenceId": "<string>",
"active": true,
"assigneeId": 123,
"batchUploadId": 123,
"forms": {},
"id": 123,
"profileId": 123,
"referenceId": "<string>",
"vendorEntityGuid": "<string>",
"vendorName": "<string>"
}
'import requests
url = "https://api.artemis.cynopsis.co/api/customer"
payload = {
"profileReferenceId": "<string>",
"active": True,
"assigneeId": 123,
"batchUploadId": 123,
"forms": {},
"id": 123,
"profileId": 123,
"referenceId": "<string>",
"vendorEntityGuid": "<string>",
"vendorName": "<string>"
}
headers = {
"X-Domain-ID": "<x-domain-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Domain-ID': '<x-domain-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
profileReferenceId: '<string>',
active: true,
assigneeId: 123,
batchUploadId: 123,
forms: {},
id: 123,
profileId: 123,
referenceId: '<string>',
vendorEntityGuid: '<string>',
vendorName: '<string>'
})
};
fetch('https://api.artemis.cynopsis.co/api/customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active": true,
"assignees": [
{
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
}
],
"createdAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
},
"forms": {},
"id": 123,
"lastRiskAssessment": "2023-11-07T05:31:56Z",
"listRoleAsText": [
"<string>"
],
"notes": {},
"other": {},
"parentId": 123,
"particular": {},
"profileId": 123,
"profileReferenceId": "<string>",
"referenceId": "<string>",
"roles": [
{
"appointedDate": "2023-12-25",
"createdAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
},
"id": 123,
"resignedDate": "2023-12-25",
"role": "<string>",
"updatedAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"updatedBy": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
}
}
],
"updatedAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"updatedBy": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
},
"vendorEntityGuid": "<string>",
"vendorName": "<string>"
}{
"status": 404,
"error": "Not Found",
"message": "The requested resource was not found.",
"path": "/api/customer"
}customer-controller
createNewCustomer
POST
/
api
/
customer
createNewCustomer
Authorizations
OAuth2_Client_CredentialsOAuth2_Password
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
X-Domain-ID
Body
application/json
customerDTO
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
HIGH, LOW, MEDIUM, MEDIUM_HIGH, MEDIUM_LOW, UNKNOWN Show child attributes
Show child attributes
Available options:
ACCEPTED, CLEARED, DRAFT, PENDING, REJECTED, REQUEST_CHANGES Available options:
CORPORATE, INDIVIDUAL Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
